Bug 1018820 - No error shown on connector service factory class misconfiguration
No error shown on connector service factory class misconfiguration
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.4.0
Assigned To: Jeff Mesnil
Miroslav Novak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 09:10 EDT by Martin Svehla
Modified: 2017-10-09 20:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-10-14 09:10:27 EDT
Description of problem:
In Profile -> Messaging -> Connections -> Connector Services. If I create new connector service with misconfigured (non-existent) Factory Class, user will never get any error.


Version-Release number of selected component (if applicable):
EAP 6.2.0.ER5


How reproducible:
Add new connector service with Factory Class "aaa". Service is added and user is notified about needing server reload. Reload server in Runtime -> Overview. There's notification about successful server reload. There are server errors related to new connector service in server log, but console never shows any of them to user.


Error from server log:
15:07:32,603 ERROR [org.jboss.msc.service.fail] (ServerService Thread Pool -- 62) MSC000001: Failed to start service jboss.messaging.default.jms.manager: org.jboss.msc.service.StartException in service jboss.messaging.default.jms.manager: JBAS011644: Failed to start service
	at org.jboss.as.messaging.jms.JMSService.doStart(JMSService.java:159)
	at org.jboss.as.messaging.jms.JMSService.access$000(JMSService.java:60)
	at org.jboss.as.messaging.jms.JMSService$1.run(JMSService.java:94)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_25]
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [rt.jar:1.7.0_25]
	at java.util.concurrent.FutureTask.run(FutureTask.java:166) [rt.jar:1.7.0_25]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_25]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_25]
	at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.1.Final-redhat-1.jar:2.1.1.Final-redhat-1]
Caused by: java.lang.ClassNotFoundException: aaa from [Module "org.jboss.as.messaging:main" from local module loader @364f2b6c (finder: local module finder @7abdb4f (roots: /home/msvehla/Projects/hornetq-tests/EAP-6.2.0.ER5/server1/jboss-eap-6.2/modules,/home/msvehla/Projects/hornetq-tests/EAP-6.2.0.ER5/server1/jboss-eap-6.2/modules/system/layers/base))]
	at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:197) [jboss-modules.jar:1.3.0.Final-redhat-2]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:443) [jboss-modules.jar:1.3.0.Final-redhat-2]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:431) [jboss-modules.jar:1.3.0.Final-redhat-2]
	at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:373) [jboss-modules.jar:1.3.0.Final-redhat-2]
	at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:118) [jboss-modules.jar:1.3.0.Final-redhat-2]
	at org.hornetq.core.server.impl.ConnectorsService.start(ConnectorsService.java:71)
	at org.hornetq.core.server.impl.HornetQServerImpl.start(HornetQServerImpl.java:458)
	at org.hornetq.jms.server.impl.JMSServerManagerImpl.start(JMSServerManagerImpl.java:483)
	at org.jboss.as.messaging.jms.JMSService.doStart(JMSService.java:155)
	... 9 more
Comment 1 Heiko Braun 2014-07-03 06:33:55 EDT
This needs to be dealt with in the subsystem itself. At least a proper error message should be returned to the client.
Comment 2 Brian Stansberry 2014-07-07 09:15:54 EDT
Reassigning to the subsystem component.
Comment 3 Jeff Mesnil 2014-08-21 05:06:07 EDT
The failing service is started asynchronously and will not prevent the server to start.

This is a case that should be covered by https://issues.jboss.org/browse/WFLY-543 where the failing service would be listed in the report so that the console could warn the user that the server was reloaded but the jms server is not started (with the exception about the connector service misconfiguration).

Note You need to log in before you can comment on or make changes to this bug.